using System.ComponentModel;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    /// DB520
    /// </summary>
    public interface IStation520 : IProtocol
    {
        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        ModeEunm Mode { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo { get; set; }
    }
}
